Bug 798468 - crash from vmvga when changing resolution
crash from vmvga when changing resolution
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-28 18:19 EST by Grzegorz Witkowski
Modified: 2013-02-11 16:59 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-11 16:59:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
VM log. (47.29 KB, text/x-log)
2012-02-28 18:19 EST, Grzegorz Witkowski
no flags Details

  None (edit)
Description Grzegorz Witkowski 2012-02-28 18:19:35 EST
Created attachment 566413 [details]
VM log.

Description of problem:
When changing display resolution in RHEL 6.2 VM installed on Fedora 16 host, KVM and the VM crashed instantly.

Version-Release number of selected component (if applicable):
qemu-kvm-0.15.1-4.fc16.x86_64
Kernel: 3.2.7-1.fc16.x86_64

How reproducible:
Change display resolution inside freshly installed RHEL 6.2 VM to a higher than 1024x768 value.

Steps to Reproduce:
1. Start virtual manager.
2. Start RHEL 6.2 VM
3. Change display resolution.
  
Actual results:
2012-02-28 21:12:34.049+0000: starting up
LC_ALL=C PATH=/sbin:/usr/sbin:/bin:/usr/bin QEMU_AUDIO_DRV=none /usr/bin/qemu-kvm -S -M pc-0.14 -enable-kvm -m 1024
 -smp 1,sockets=1,cores=1,threads=1 -name RHEL62 -uuid d4590197-4ca3-45fb-f09a-0dd58f2d0159 -nodefconfig -nodefault
s -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/RHEL62.monitor,server,nowait -mon chardev=charmonitor,i
d=monitor,mode=control -rtc base=utc -drive file=/home/gescape/KVM/images/RHEL62.img,if=none,id=drive-virtio-disk0,
format=raw -device virtio-blk-pci,bus=pci.0,addr=0x7,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1 -drive fi
le=/home/gescape/Resources/ISO/RHEL61_x86-64/rhel-server-6.2-x86_64-dvd.iso,if=none,media=cdrom,id=drive-ide0-1-0,r
eadonly=on,format=raw -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -netdev tap,fd=24,id=host
net0,vhost=on,vhostfd=25 -device virtio-net-pci,netdev=hostnet0,id=net0,mac=52:54:00:9f:c9:50,bus=pci.0,addr=0x3 -n
etdev tap,fd=26,id=hostnet1,vhost=on,vhostfd=27 -device virtio-net-pci,netdev=hostnet1,id=net1,mac=52:54:00:58:c0:8
9,bus=pci.0,addr=0x4 -netdev tap,fd=28,id=hostnet2,vhost=on,vhostfd=29 -device virtio-net-pci,netdev=hostnet2,id=ne
t2,mac=52:54:00:3c:c8:86,bus=pci.0,addr=0x5 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=s
erial0 -usb -device usb-tablet,id=input0 -vnc 127.0.0.1:0 -vga vmware -device intel-hda,id=sound0,bus=pci.0,addr=0x
6 -device hda-duplex,id=sound0-codec0,bus=sound0.0,cad=0 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x8
char device redirected to /dev/pts/0
vmsvga_value_write: guest runs Linux.
vmsvga_value_write: guest runs Linux.
vmsvga_value_write: guest runs Linux.
*** glibc detected *** /usr/bin/qemu-kvm: double free or corruption (out): 0x00007fbff2cb1090 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x3b8a07c2d6)[0x7fbfebfd22d6]
/lib64/libc.so.6(+0x3b8a07d5be)[0x7fbfebfd35be]
/usr/bin/qemu-kvm(+0x12a79d)[0x7fbfefe2079d]
/usr/bin/qemu-kvm(+0xdef86)[0x7fbfefdd4f86]
/usr/bin/qemu-kvm(+0x234075)[0x7fbfeff2a075]
/usr/bin/qemu-kvm(+0x129385)[0x7fbfefe1f385]
/usr/bin/qemu-kvm(+0x140168)[0x7fbfefe36168]
/usr/bin/qemu-kvm(+0x1405a5)[0x7fbfefe365a5]
/usr/bin/qemu-kvm(+0x82b62)[0x7fbfefd78b62]
/usr/bin/qemu-kvm(main+0x1109)[0x7fbfefd62c39]
/lib64/libc.so.6(__libc_start_main+0xed)[0x7fbfebf7769d]
/usr/bin/qemu-kvm(+0x714d9)[0x7fbfefd674d9]
======= Memory map: ========
(...) [see attachment]
2012-02-28 22:50:46.080+0000: shutting down

Expected results:
Stable system.

Additional info:
VM details:
CPU: 1
RAM: 1024MB
VirtIO Disk 20GB
IDE CDROM
3x virtio NICs
EvTouch USB Graphics Tablet
PS/2 Mouse
Sound: ich6
1x pty
Video: vmvga 9MB 1 head
1x controller IDE
Comment 1 Fedora Admin XMLRPC Client 2012-03-15 13:57:00 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2013-01-16 15:43:38 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Cole Robinson 2013-02-11 16:59:38 EST
Sorry this bug never got a response, but since F16 is going unsupported, I'm closing this as WONTFIX for f16. If anyone can still reproduce on F18, please reopen.

Note You need to log in before you can comment on or make changes to this bug.